GuidesAPI Reference
API Reference

Get realm members

Retrieve the list of members within the realm.


Access Control:

  • The calling principal must have "readMembers" action permission for the resource "{realm}" in the "authorization" service.
  • The calling principal MUST NOT include a project scope.
Path Params
string
required

HRN identifying the realm

Query Params
string

The cursor for pagination. Present only if there is an additional page of data to view.

integer
0 to 100
Defaults to 100

Number of records to return. Default is 100 records. Maximum is 100 records.

string
enum

The type of members to return in the result. One of 'user', 'app', or 'car'. If this parameter is omitted, all entity types will be returned.

Allowed:
string

A free text query string used to filter the results. A search against members in the realm will consider the 'userId', 'firstname', 'lastname', 'email', 'clientId', 'name', 'roles', and 'carId' fields of the members. The precise search algorithm used to match members is not specified, but generally any member where one of the considered fields has a full or partial match should be included in the results.

string
enum

Only return user members with the given 'state' in the results.

Allowed:
string

Only return user members with matching vehicleContractId. Works only when entityType=car

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json